# Strategies

The overarching principles of the investment strategy are

* *Risk over return*: selecting assets and their target weights that should allow to avoid losses on a daily investment horizon rather than generate extraordinary yield (meaning: Less risk for a sensible and sustainable yield)
* *Investment charter*: Asset classes, specific instruments, and their weights in the portfolio are pre-determined and public, Overnight protocol is designed to follow the investment charter at the code level
* *Holders in control*: Some modifications to the investment charter can take place as market conditions evolve and new opportunities, including new protocols, emerge. In such situations USD+ holders are informed in advance, leaving ample time to redeem their holdings in case they are not comfortable with modifications

Overnight deploys multiple investment strategies that can be broadly be classified as

* Stablecoin deposits into lending protocols
* Stable-to-stable liquidity pools
* ETSes, delta-neutral strategies developped by Overnight

> Extend `Strategy` - the parent contract with the basic logic and interface for management through `PortfolioManager`. They have several public methods available for the `PORTFOLIO_MANAGER` role:
>
> * `stake` - method for depositing assets into the strategy to manage them
> * `unstake` - method for withdrawing assets from the strategy. Allows to make a partial or full withdrawal of assets
> * `netAssetValue` - current amount of assets under management in USDC equivalent
> * `liquidationValue` - the current potential amount of assets in USDC equivalent, which can be obtained on a full withdrawal
> * `claimRewards` - start collecting (claiming) rewards, if it is provided by the strategy


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overnight.fi/advanced/strategies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
